/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

body {
  position: relative;
}

html {
  scroll-behavior: smooth;
}

/* NAVBAR SECTION NAVBAR SECTION NAVBAR SECTION */
/* NAVBAR SECTION NAVBAR SECTION NAVBAR SECTION */

.navbar-placeholder {
  position: sticky !important;
  top: 0;
  z-index: 1000;
  height: 75px;
}

nav.navbar {
  height: 70px;
}

.logo-img {
  height: 70px;

  object-fit: contain;
}

.nav-ul {
  display: flex;
  gap: 20px;
}

.nav-ul li a {
  color: #ffffff;
  transition: transform 0.3s ease;
}

.nav-ul li a:hover {
  color: #dad5d5;
  transform: translateY(-3px);
}

.nav-link.active {
  color: #ffffff !important;
  border-bottom: 2px solid rgb(244, 248, 248);
  transform: translateY(-3px);
}

#iconDisplay {
  gap: 5px;
}

.search-form {
  max-width: 150px; /* adjust this to control total width */
}

.search-input {
  width: 120px;
  height: 35px;
  font-size: 14px;
  color: white;
  padding: 5px 5px;
  border: 1px solid #ffffff;
  border-radius: 7px;
}

.search-input::placeholder {
  color: white !important;
  opacity: 0.6 !important;
}

.search-input:focus {
  border: none;
  box-shadow: 0 0 0 4px blue;
}

.span-icon {
  width: 20px !important;
  height: 20px !important;
}

.cart-icon {
  display: flex;
}

.cart-icon.adjust {
  margin-top: 7px;
}

.shop-cart-icon {
  display: none;
  font-size: 23px;
  cursor: pointer;
}

.bagde {
  display: none;
  color: #ffffff;
  margin-bottom: 15px;
  background-color: rgb(255, 0, 0);
  border-radius: 50%;
  font-weight: bold;
  width: 18px;
  height: 18px;

  align-items: center;
  justify-content: center;
}

.search-icon {
  display: none;
}

.hamburger-icon {
  display: none;
}

/* MAIN-CONTENT SECTION MAIN-CONTENT SECTION MAIN-CONTENT SECTION */
/* MAIN-CONTENT SECTION MAIN-CONTENT SECTION MAIN-CONTENT SECTION */

.wrapper {
  margin: 0 30px;
}

.product-container {
  display: flex;
  gap: 30px;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  flex: 0 0 calc(17% - 15px);
  margin-top: 30px;
}
.custom-col {
  max-width: 350px;
  width: 300px;
  z-index: 1;
}

#detailsImg {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.img-wrapper {
  height: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  background: white;
}

.img-back {
  opacity: 0;
  transition: opacity 0.3s ease;
}

.img-wrapper:hover .img-back {
  opacity: 1;
}

.img-wrapper:hover .img-front {
  opacity: 0;
}

.card-imgs {
  width: 100%; /* fills parent */
  height: 100%;
  object-fit: contain;
  object-position: center;
  position: absolute;
}

.text-card {
  padding: 5px;
}

#product-price {
  font-weight: bold;
  color: #28a745;
}
.gender {
  text-align: center;
}

#productGrid {
  margin-bottom: 70px;
}

.gender-section {
  display: flex;
  gap: 10px;
}

/* FOOTER SECTION FOOTER SECTION FOOTER SECTION */
/* FOOTER SECTION FOOTER SECTION FOOTER SECTION */

.footer-content {
  display: flex;
  gap: 150px;
}

.yarn {
  font-size: 14px;
}

.footer-uls {
  line-height: 30px;
}

.footer-media {
  display: flex;
  gap: 8px;
  font-size: 20px;
}

.copyright {
  display: flex;
  justify-content: flex-end;
  margin-right: 15px;
  font-size: 14px;
}

/* DETAILS SECTION  DETAILS SECTION  DETAILS SECTION */
/* DETAILS SECTION DETAILS SECTION  DETAILS SECTION  */

.d-container {
  margin-top: 30px;
}

.detail-row {
  display: flex;
  gap: 35px;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  flex-wrap: wrap;
}

.img-col {
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  width: 500px;
}

.zoom-col {
  width: 450px;
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.product-img {
  width: 100%;
  height: 100%;
  transition: transform 0.3s ease;
  cursor: zoom-in;
  object-fit: contain;
  object-position: center;
  transform-origin: var(--mouse-x) var(--mouse-y);
}

.product-img.zoom-in {
  transform: scale(2.3);
}

.mini-imgs {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  justify-content: center;
}

.prev-cont {
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.swap {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

.selectedPreview {
  border: 1px solid grey;
  border-radius: 7px;
}

.unfocused {
  border: none;
}
.description-col {
  text-align: left;
  margin-bottom: 20px;
  width: 600px;
  height: auto;
  display: flex;
  flex-direction: column;
  padding: 30px;
  gap: 12px;
  border-radius: 10px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  background-color: #f8f9fa;
}

.detail-card-title {
  font-size: 2rem;
  font-weight: bold;
  color: #333;
}

.label-text {
  font-size: 20px;
}

.product-size-container {
  margin-top: 20px;
  display: flex;
  justify-content: space-between;
}

.size-input-wrapper {
  display: flex;
  gap: 10px;
  align-items: center;
}

.size-selection {
  width: 100%;
  text-align: center;
  padding: 7px;
}

.caution-message {
  opacity: 0;
  max-height: 0;
  color: red;
  transition:
    opacity 0.3s ease-in-out,
    max-height 0.3s ease-in-out;
}

.caution-message.show {
  opacity: 1;
  display: inline-block;
  max-height: 25px;
}

.caution-message.show {
  opacity: 1;
}

.card-text {
  font-size: 1.1rem;
  color: #555;
  line-height: 2 !important;
}

#productPrice {
  font-size: 25px;
  color: #28a745;
  font-weight: bold;
  margin-top: 20px;
}

.atc-btn {
  font-weight: bold;
}

.carousel {
  margin: 95px auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.carousel-header {
  display: flex;
  width: 90%;
  justify-content: center;
}

.mini-container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 90%;
}

.related-products-carousel {
  display: flex;
  flex-wrap: nowrap;
  gap: 25px;
  overflow-x: auto;
  padding: 20px 15px;
  margin-top: 20px;
  background-color: #e9ecf0;
  border-radius: 10px;
  border-radius: none;
}

.carousel-product-card {
  min-width: 170px;
  max-width: 170px;
  flex-shrink: 0;
  aspect-ratio: 1/1;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 170px;
  border-radius: 10px;
  border: 1px solid rgb(177, 172, 172);
  transition: transform 0.3s ease;
  background-color: white;
}

.carousel-product-card:hover {
  transform: translateY(-4px);
  box-shadow: 0 4px 3px 0 rgb(80, 76, 76);
}

.carousel-img {
  object-fit: contain;
  object-position: center;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

.scroll {
  display: flex;
  align-items: center;
  padding: 10px;
}

.arrow {
  font-size: 23px;
}

/*LOOKBOOK PAGE
LOOKBOOK PAGE */

.lookbook-grid-container {
  column-count: 3;
  column-gap: 15px;
  padding: 20px;
}

.lookbook-item {
  margin-bottom: 15px;
  border-radius: 5px;
  overflow: hidden;
  break-inside: avoid-column;
  transition: transform 0.3s ease;
}

.lookbook-item:hover {
  transform: translateY(-3px);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 1);
}

.lookbook-item img {
  width: 100%;
  height: auto;
}

/* SHOPPING CART PAGE */
/* SHOPPING CART PAGE */

.sc-page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.main-page {
  flex-grow: 1;
}

.sc-heading {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 50px;
}

.sc-page-logo-img {
  width: 50px;
  margin-bottom: 10px;
  cursor: pointer;
}

.item-container {
  display: flex;
  align-items: center;
  justify-content: center;
  justify-content: space-between;
  margin-bottom: 60px;
  border-bottom: 1px dotted black;
}

.item-quantity-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.item-quantity {
  font-weight: bold;
}

.item-image-container {
  width: 100px;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.item-image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
  display: block;
}

.item-description-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 200px;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.item-name {
  font-weight: bold;
}

.item-price-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.remove-btn {
  color: red;
  cursor: pointer;
  font-weight: bold;
}

.total-container {
  display: flex;
  justify-content: space-between;
}

.keep-shopping-btn {
  text-decoration: none;
  padding: 4px 50px;
  background-color: #efeff0;
  color: #333;
  border-radius: 8px;
  transition: background-color 0.2s ease;
  border: 1px solid #333;
}

.keep-shopping-btn:hover {
  background-color: #1f1f1f;
  color: #f8f9fa;
}

.checkout-container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 15px;
}

.keep-shopping-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.actual-subtotal {
  font-size: 25px;
}

.checkout-btn {
  text-decoration: none;
  padding: 3px 150px;
  background-color: #efeff0;
  color: #333;
  border-radius: 8px;
  border: 1px solid #333;
  transition: background-color 0.3s ease;
}

.checkout-btn:hover {
  background-color: #1f1f1f;
  color: #f8f9fa;
}

/* MEDIA QUERIES***
MEDIA QUERIES*** */
@media (max-width: 1105px) {
  .product-container {
    gap: 40px;
  }
}

@media (max-width: 991px) {
  .footer-content {
    flex-direction: column;
    gap: 25px;
  }

  nav.navbar {
    height: 85px;
  }

  .navbar-nav {
    flex-direction: row !important;
    gap: 30px !important;
  }
}

@media (max-width: 800px) {
  .div-nav {
    /* display: none; */
    opacity: 0;
    max-height: 0;
  }

  .div-nav.display {
    /* display: flex; */
    opacity: 1;
    max-height: 250px;
    z-index: 1000;
    transition:
      opacity 0.4s ease,
      max-height 0.3s ease-in-out;
  }

  .nav-ul {
    flex-direction: column !important;
    gap: 10px !important;
    padding: 10px 20px;
    background-color: #333;
    color: #ffffff;
    position: absolute;
    top: 87px;
    right: 10px;
    border-radius: 6px;
    border: 1px solid #6e6565;
    align-items: flex-start;
  }

  .nav-ul li a {
    padding-right: 40px;
    padding-left: 5px;
    transition: transform 0.3s ease;
  }

  .nav-ul li a:hover {
    color: #dad5d5;
    transform: translateY(-3px);
  }

  .nav-item {
    margin: 0 40px 0 0;
  }

  .hamburger-icon {
    display: flex;
    font-size: 25px;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    color: #ffffff;
  }

  .search-input {
    display: none;
  }

  .search-icon {
    display: flex;
    align-items: center;
    font-size: 25px;
    cursor: pointer;
    color: #ffffff;
  }

  #iconDisplay {
    display: flex;
    gap: 20px;
  }

  .lookbook-grid-container {
    column-count: 2;
  }

  .carousel-product-card {
    min-width: 140px;
    height: 140px;
  }
}

@media (max-width: 766px) {
  .total-container {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .subtotal {
    order: 1;
  }

  .keep-shopping-container {
    order: 2;
  }
}

.content-wrapper-psp {
  margin: 0 auto;
  text-align: center;
  min-height: 100vh;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  padding: 0 20px;
}

@media (max-width: 650px) {
  .detail-row {
    flex-direction: column;
  }

  .img-col {
    order: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
  }
  .mini-imgs {
    order: 2;
    flex-direction: row;
    width: 85%;
  }
  .description-col {
    order: 3;
    width: 90%;
    margin-top: 20px;
  }

  .description-col h4,
  .info {
    text-align: center;
  }

  .lookbook-grid-container {
    column-count: 1;
  }

  .carousel-product-card {
    min-width: 130px;
    height: 130px;
  }
}

@media (max-width: 550px) {
  .description-col h4 {
    font-size: 25px;
  }

  .carousel-product-card {
    min-width: 120px;
    height: 120px;
  }

  .keep-shopping-btn {
    padding: 3px 30px;
    margin-top: 15px;
  }

  .checkout-btn {
    padding: 5px 70px;
    margin-bottom: 20px;
  }
}

@media (max-width: 500px) {
  .item-name {
    width: 80%;
  }

  .item-image {
    width: 80%;
  }
}

@media (max-width: 450px) {
  .product-size-container {
    margin-top: 20px;
    flex-direction: column;
  }

  .caution-message.show {
    opacity: 1;
    margin-top: 20px;
    display: inline-block;
    max-height: 25px;
  }

  .size-selection {
    width: 40%;
  }

  .carousel-product-card {
    min-width: 70px;
    height: 70px;
  }
}
